Package com.independentsoft.office.drawing.tableStyles

# Class TableCellTextStyle

java.lang.Object
com.independentsoft.office.drawing.tableStyles.TableCellTextStyle

public class TableCellTextStyle extends Object
The Class TableCellTextStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableCellTextStyle()`
  Instantiates a new table cell text style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableCellTextStyle`
  `clone()`
  `ColorChoice`
  `getColorChoice()`
  Gets the color choice.
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `Font`
  `getFont()`
  Gets the font.
  `FontReference`
  `getFontReference()`
  Gets the font reference.
  `void`
  `setColorChoice​(ColorChoice colorChoice)`
  Sets the color choice.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setFont​(Font font)`
  Sets the font.
  `void`
  `setFontReference​(FontReference fontReference)`
  Sets the font reference.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableCellTextStyle

    public TableCellTextStyle()
    Instantiates a new table cell text style.

- ## Method Details

  - ### clone

    public TableCellTextStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getFont

    public Font getFont()
    Gets the font.
    Returns:
      the font

  - ### setFont

    public void setFont​(Font font)
    Sets the font.
    Parameters:
      `font` - the new font

  - ### getFontReference

    public FontReference getFontReference()
    Gets the font reference.
    Returns:
      the font reference

  - ### setFontReference

    public void setFontReference​(FontReference fontReference)
    Sets the font reference.
    Parameters:
      `fontReference` - the new font reference

  - ### getColorChoice

    public ColorChoice getColorChoice()
    Gets the color choice.
    Returns:
      the color choice

  - ### setColorChoice

    public void setColorChoice​(ColorChoice colorChoice)
    Sets the color choice.
    Parameters:
      `colorChoice` - the new color choice